apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: aws-ec2
  namespace: argocd
spec:
  project: default
  source:
    repoURL: 'https://gitlab.com/mygitopsrepo/crossplane/withargocd.git'
    path: templetes/aws/ec2
    targetRevision: HEAD
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: crossplane-system
  syncPolicy:
    automated:
      prune: true
      selfHeal: true